【原创】Xshell5无法启动:要继续使用此程序,您必须应用最新的更新或使用新版本

blogdaren 2020-05-23 抢沙发 42人次

问题背景:

xshell5是我很喜欢的一个版本,一直用着好好的,突然有一天打开提示:

Xshell无法启动:要继续使用此程序,您必须应用最新的更新或使用新版本。

问题原因:

xshell官方限制了软件的使用期限

解决方案:

1、反汇编修改授权文件的使用期限限制:

使用C32asm打开xshell安装目录下的动态链接库文件:nslicense.dll,

然后搜索16进制 7F0C81F98033E1010F8680 并修改为 7F0C81F98033E101E98100

2、直接下载已经修改好的授权文件:

下载成功后,直接替换掉原来的 nslicense.dll 文件即可:

下载链接: https://pan.baidu.com/s/1xa0N6uDnwzWkkznyad_Bgw  提取码: 5tvp

温馨提示:

链接有有效期,可能随时失效,不能下载的,上爬山虎QQ群基地联系作者【1062098893】

版权声明:除非注明,本文由( blogdaren )原创,转载请保留文章出处。

本文链接:【原创】Xshell5无法启动:要继续使用此程序,您必须应用最新的更新或使用新版本

发表评论:

您的昵称:
电子邮件:
个人主页: